PAGE ConferencePage
 
//   This wrapper refers to the DBLP site at Trier
//   (http://www.informatik.uni-trier.de/~ley/db/). 
//   It extracts data from pages containing the list
//   of editions of a conference, like, for example
//   SIGMOD (conf/sigmod/index.html) or VLDB
//   (conf/vldb/index.html). These two pages have
//   been mirrored in this distribution as
//        araneusWTK\examples\html\sigmod-index.html
//   and
//        araneusWTK\examples\html\vldb-index.html
//   respectively.

$S: <html><head><title>*$Acronym*</title></head>*
    <h1>$Name</h1>*<hr>*
         { $anchor.setCaseSensitive(false);         }
         { out.println("<Conference>");             }
         { out.println("\t<Name>"+$Name+"</Name>"); }
         { out.println("\t<EditionList>");          }

    ( $Edition )+ <hr>

         { out.println("\t</EditionList>"); }
         { out.println("</Conference>");    };

$Acronym: [A-Z]+;

$Edition:   $Heading
            $LinkRegion $GetHomePageList;
EXCEPTION(<h2>*(?<h2>|<hr>)) 
    { 
      System.err.println("* edition skipped *");
      System.err.println($Edition);
      excp.printStackTrace();
    }

$Heading: <h2>*$Acronym[ ]*$Year[:]$Location</h2>;

$Year: \d\d\d\d;

$GetHomePageList:     
  {
    $LinkRegion.reset();
    out.print("\t\t<Edition><Year>"+$Year+"</Year>");
    out.println("<Location>"+$Location+"</Location>");

    out.print("\t\t\t<HomePageList>");
    while ($LinkRegion.loopSearch("*(?<a href=*>)")) {
      Parseref($LinkRegion);
      if ($anchor.search($Acronym.toString()) && $anchor.search("page") ||
      $anchor.search("mirror") || $anchor.search("server")) {
         $link.replaceAll("\"","");              
         out.print("<ToHomePage>"+$link+"</ToHomePage>");              
      }
    }
    out.println("<HomePageList>");

    out.println("\t\t</Edition>");
  };

$ref: <a[ ]href=$link>$anchor</a>;

END
